Loading...
Searching...
No Matches
iorheo

## Detailed Description

Definition at line 354 of file iorheo.h.

## Classes

struct | force_initialization

## Public Types

enum

fmt_mode {
verbose ,
execute ,
clean ,
transpose ,
upgrade ,
black_and_white ,
gray ,
color ,
rheo ,
hb = rheo ,
matrix_market ,
ml ,
matlab = ml ,
sparse_matlab ,
dump ,
bamg ,
peschetola ,
grummp ,
gmsh ,
gmsh_pos ,
mmg3d ,
tetgen ,
qmg ,
cemagref ,
vtkdata ,
vtkpolydata ,
ps ,
gnuplot ,
plotmtv ,
x3d ,
vtk ,
paraview ,
geomview ,
atom ,
logscale ,
grid ,
domains ,
fill ,
tube ,
ball ,
shrink ,
full ,
stereo ,
cut ,
iso ,
split ,
velocity ,
deformation ,
elevation ,
volume ,
fastfieldload ,
bezieradapt ,
lattice ,
showlabel ,
autovscale ,
skipvtk ,
reader_on_stdin ,
last
}

typedef std::bitset< last > | flag_type
typedef size_t | size_type

## Public Member Functions

| iorheo ()
| ~iorheo ()

## Static Public Member Functions

static flag_type | flags (std::ios &s)
static flag_type | flags (std::ios &s, flag_type f)
static flag_type | setf (std::ios &s, size_type i_add)
static flag_type | setf (std::ios &s, size_type i_add, flag_type field)
static flag_type | unsetf (std::ios &s, size_type i_del)

## Static Public Attributes

static flag_type | static_field
static flag_type | color_field
static flag_type | format_field
static flag_type | render_field

## Static Protected Member Functions

static iorheo * | get_pointer (std::ios &s)

## Member Typedef Documentation

## flag_type

typedef std::bitset<last> flag_type

Definition at line 440 of file iorheo.h.

## size_type

typedef size_t size_type

Definition at line 441 of file iorheo.h.

## Member Enumeration Documentation

## fmt_mode

enum fmt_mode

Enumerator
verbose |
execute |
clean |
transpose |
upgrade |
black_and_white |
gray |
color |
rheo |
hb |
matrix_market |
ml |
matlab |
sparse_matlab |
dump |
bamg |
peschetola |
grummp |
gmsh |
gmsh_pos |
mmg3d |
tetgen |
qmg |
cemagref |
vtkdata |
vtkpolydata |
ps |
gnuplot |
plotmtv |
x3d |
vtk |
paraview |
geomview |
atom |
logscale |
grid |
domains |
fill |
tube |
ball |
shrink |
full |
stereo |
cut |
iso |
split |
velocity |
deformation |
elevation |
volume |
fastfieldload |
bezieradapt |
lattice |
showlabel |
autovscale |
skipvtk |
reader_on_stdin |
last |

Definition at line 359 of file iorheo.h.

## Constructor & Destructor Documentation

## iorheo()

iorheo | ( |  | ) |

Definition at line 151 of file iorheo.cc.

## ~iorheo()

~iorheo | ( |  | ) |

Definition at line 182 of file iorheo.cc.

## Member Function Documentation

## flags() [1/2]

iorheo::flag_type flags | ( | std::ios & | s | ) |

static

Definition at line 244 of file iorheo.cc.

## flags() [2/2]

iorheo::flag_type flags | ( | std::ios & | s,
|  | flag_type | f
| ) |  |

static

Definition at line 249 of file iorheo.cc.

## setf() [1/2]

iorheo::flag_type setf | ( | std::ios & | s,
|  | size_type | i_add
| ) |  |

static

Definition at line 254 of file iorheo.cc.

## setf() [2/2]

iorheo::flag_type setf | ( | std::ios & | s,
|  | size_type | i_add,
|  | flag_type | field
| ) |  |

static

Definition at line 259 of file iorheo.cc.

## unsetf()

iorheo::flag_type unsetf | ( | std::ios & | s,
|  | size_type | i_del
| ) |  |

static

Definition at line 264 of file iorheo.cc.

## get_pointer()

iorheo * get_pointer | ( | std::ios & | s | ) |

static protected

Definition at line 198 of file iorheo.cc.

## Member Data Documentation

## static_field

iorheo::flag_type static_field

static

Definition at line 443 of file iorheo.h.

## color_field

iorheo::flag_type color_field

static

Definition at line 444 of file iorheo.h.

## format_field

iorheo::flag_type format_field

static

Definition at line 445 of file iorheo.h.

## render_field

iorheo::flag_type render_field

static

Definition at line 446 of file iorheo.h.

The documentation for this class was generated from the following files:

- /build/rheolef-mDkPTY/rheolef-7.2/util/lib/iorheo.h
- /build/rheolef-mDkPTY/rheolef-7.2/util/lib/iorheo.cc